Skip to main content
Back to API List Use this API to get the hours of operation by providing the orgId and queueId.
MethodGET
Endpointhttps://{{host}}/agentassist/api/public/organizations/{{orgId}}/operationshours/{{queueId}}
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
orgIdThe unique identifier of the organization. In the application, navigate to any screen and check the API response to locate the orgId. Open the browser’s developer tools using F12, Ctrl+Shift+J (Windows/Linux), or Cmd+Opt+J (macOS).string, required
queueIdThe unique identifier of the queue.string, required

Sample Request

curl --location --request GET 'https://{{host}}/agentassist/api/public/organizations/{{orgId}}/operationshours/{{queueId}}' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'accountId: <accountId>'
--header 'IId: <IId>'

Headers

HeaderDescriptionRequired/Optional
accountIdThe account ID associated with the API request.required
authJWT token for authentication.required
IIdThe appId or streamId.required

Sample Response

{
    "name": "Default Hours of Operation(Auto Created)1",
    "standardDays": {
        "frequency": "WEEKLY",
        "days": [
            { "start": "9:00 AM", "end": "11:00 PM", "day": "SU" },
            { "start": "12:00 AM", "end": "11:59:59.999 PM", "day": "MO" },
            { "start": "12:00 AM", "end": "11:59:59.999 PM", "day": "TU" },
            { "start": "12:00 AM", "end": "11:00 PM", "day": "WE" },
            { "start": "12:00 AM", "end": "11:00 PM", "day": "TH" },
            { "start": "12:00 AM", "end": "11:00 PM", "day": "FR" },
            { "start": "12:00 AM", "end": "11:59:59.999 PM", "day": "SA" }
        ]
    },
    "specialDays": {
        "frequency": "YEARLY",
        "days": []
    },
    "status": "ACTIVE",
    "lname": "default hours of operation(auto created)1",
    "isDefault": true,
    "orgId": "o-ee9eb154-b7e9-5387-a4a9-bc027a60xxxx",
    "createdBy": "u-d59dd137-fd97-52c2-8e86-fe6b42caxxxx",
    "timezone": "Asia/Kolkata",
    "id": "63c0e807509f957d6601xxxx",
    "isHoursOfOperationValid": true
}

Response Body Parameters

ParameterDescriptionType
nameDisplay name of the hours of operation configuration.string
lnameLowercase version of the name.string
standardDaysConfiguration for regular operating hours.object
standardDays.frequencyFrequency of the standard schedule (for example, "WEEKLY").string
standardDays.daysAn array of daily schedule configurations.array
standardDays.days[].startStart time in 12-hour format (for example, "9:00 AM").string
standardDays.days[].endEnd time in 12-hour format (for example, "11:00 PM").string
standardDays.days[].dayTwo-letter day code (SU, MO, TU, WE, TH, FR, SA).string
specialDaysConfiguration for special operating hours.object
specialDays.frequencyFrequency of special schedules (for example, "YEARLY").string
specialDays.daysAn array of special schedule configurations.array
statusCurrent status of the configuration (for example, "ACTIVE").string
isDefaultIndicates if this is the default hours of operation configuration.boolean
orgIdThe unique identifier of the organization.string
createdByUser ID of the creator.string
createdByAIdCreator’s agent ID.string
timezoneTimezone in IANA format (for example, "Asia/Kolkata").string
iIdInternal identifier.string
idUnique identifier for the configuration.string
isHoursOfOperationValidIndicates if the hours of operation configuration is valid.boolean